{*
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-06-11
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/idiomas/tpl/admin/item.tpl
 *
 *}
{if $registro.id > 0}
{assign var="query" value="op=upd&amp;id="|cat:$registro.id}
<h2>{swphp_icon icon='edit.png' width=32} Editar idioma</h2>
{else}
{assign var="query" value="op=reg"}
<h2>{swphp_icon icon='add.png' width=32} Nuevo idioma</h2>
{/if}
<form id="form_idioma" action="{$smarty.const.SWPHP_ADMIN_DIR|cat:$swphp_mod_clave}/?{$query}" method="post" onsubmit="return validador.ValidarForm(this.id)" enctype="multipart/form-data" >
<div class="center">
<table class="center">
	<tr>
		<td class="flabel">Id</td>
		<td>{$registro.id|default:"[autoasignado]"}</td>
	</tr>
	<tr>
		<td class="flabel">Nombre</td>
		<td>
			<input type="text" name="nombre" id="nombre" size="40" maxlength="60" value="{$registro.nombre}" class="requerido" title="Nombre" />
			<div class="fhelp">Introduce el nombre tal y como se escribe en su propio idioma</div>
		</td>
	</tr>
		<td class="flabel">Código ISO</td>
		<td>
			<input type="text" name="codigoiso" id="codigoiso" size="3" maxlength="2" value="{$registro.codigoiso}" class="requerido minlength2 maxlength2" title="Código ISO" />
			<div class="fhelp">Código ISO 639-1 del idioma (dos caracteres) <a href="http://es.wikipedia.org/wiki/ISO_639-1" class="external">Lista de códigos</a></div>
		</td>
	</tr>
	</tr>
		<td class="flabel">Localización</td>
		<td>
			<input type="text" name="codigolang" id="codigolang" size="6" maxlength="5" value="{$registro.codigolang}" />
			<div class="fhelp">Código del idioma, por ejemplo es-ES para español de España, o en-US para inglés de EE.UU.</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Imagen</td>
		<td>
			{swphp_langflag lang=$registro.codigoiso}
			<input type="file" name="imagen" id="imagen" size="58" />
			<div class="fhelp">Banderita del idioma</div>
		</td>
	</tr>
	<tr>
		<td class="center separado1" colspan="2"><br />
			<input type="submit" value="Aceptar" class="boton" />
			<input type="button" value="Cancelar" onclick="window.location.replace('{$smarty.const.SWPHP_ADMIN_DIR|cat:$swphp_mod_clave}/')" class="boton" />
		</td>
	</tr>
</table>
</div>
</form>
