<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-08
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/inc/xajax/inicio.xajax.php
 *
 */

function CargarMiEscala()
{
	global $kptl_user_id;

	$response = new xajaxResponse();

	ob_start();

	if($kptl_user_id > 0)
	{
		$html = KPTL::GetFormEscala(false, null, "GuardarMiEscala(); return false;");

		$response->assign('div_miescala_content', 'innerHTML', $html);
		$response->script("stripeByClass('listado')");
	}
	else
	{
		$response->assign('div_miescala_content', 'innerHTML', l('Error', 'kapitaltruth'));
	}

	$str = ob_get_clean();
	if($str)
	{
		$response->alert(strip_tags($str));
	}

	return $response;
}
$xajax->registerFunction('CargarMiEscala');

function GuardarMiEscala($data)
{
	global $db, $kptl_user, $kptl_user_id;

	$response = new xajaxResponse();

	ob_start();

	if(is_array($data) && sizeof($data) > 0)
	{
		$hoy = date('Y-m-d');

		$autovaloracion_id = $kptl_user->GetAutoValoracionId($hoy, true);
		$c = 0;

		foreach($data as $item)
		{
			if(is_array($item) && sizeof($item) == 2)
			{
				if(substr($item[0], 0, 10) == 'preguntas[')
				{
					$c++;
					$pregunta_id = substr($item[0], 10, strlen($item[0])-11);

					if($db->Exists(array($autovaloracion_id, $pregunta_id), array('autovaloracion_id', 'pregunta_id'), SWPHP_DBPREFIX.'kptl_autovaloraciones_preguntas'))
					{
						$query = buildQuery_Update(array('respuesta_id'=>$item[1]), SWPHP_DBPREFIX.'kptl_autovaloraciones_preguntas', array('autovaloracion_id'=>$autovaloracion_id, 'pregunta_id'=>$pregunta_id));
					}
					else
					{
						$query = buildQuery_Insert(array('autovaloracion_id'=>$autovaloracion_id, 'pregunta_id'=>$pregunta_id, 'respuesta_id'=>$item[1]), SWPHP_DBPREFIX.'kptl_autovaloraciones_preguntas');
					}

					if(SWPHP::_ExecuteQuery(
						$query,
						'',
						l('No se ha podido guardar tu respuesta a la pregunta número', 'kapitaltruth').' '.$c
						))
					{
						if($item[1] == 0)
						{
							//Si ha respondido Ignorar, propago la decisión a las valoraciones más recientes de los demás usuarios sobre el actual

							$rows = $db->GetRows("SELECT vp.puntos, v.id FROM ".SWPHP_DBPREFIX."kptl_valoraciones_preguntas AS vp JOIN ".SWPHP_DBPREFIX."kptl_valoraciones AS v ON v.id = vp.valoracion_id AND vp.pregunta_id = '{$pregunta_id}' WHERE v.user_idpasivo = '{$kptl_user_id}' GROUP BY v.user_idactivo ORDER BY v.fecha DESC", true, false);
							foreach($rows as $row)
							{
								if($row['puntos'] > 0)
								{
									$db->Execute("UPDATE ".SWPHP_DBPREFIX."kptl_valoraciones SET puntos = puntos - {$row['puntos']} WHERE id = '{$row['id']}'");
								}

								//Elimino la respuesta
								//TODO: [...]

								$db->Execute("DELETE FROM ".SWPHP_DBPREFIX."kptl_valoraciones_preguntas WHERE valoracion_id = '{$row['id']}' AND vp.pregunta_id = '{$pregunta_id}'");
							}
						}
					}
				}
			}
		}

		$response->script("popupValoracion.hide()");
		$response->assign('infoPreguntasPendientes', 'innerHTML', $kptl_user->GetInfoPreguntasPendientes());
	}

	$str = ob_get_clean();
	if($str)
	{
		$response->alert(strip_tags($str));
	}

	return SWPHP_Xajax::_VolcarMensajes($response, true);
}
$xajax->registerFunction('GuardarMiEscala');
