<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-12-25
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/menuprincipal/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo:
 *
 * @param array $info
 * @return bool
 */
function menuprincipal_instalar($info)
{
	global $db;

	$ok = true;

	$ahora = date('Y-m-d H:i:s');

	SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

	$queries = array(
		"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."menuprincipal` (
		  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		  `pagina_id` int(10) unsigned NOT NULL,
		  `padre_id` int(10) NOT NULL DEFAULT '0',
		  `peso` smallint(3) unsigned NOT NULL DEFAULT '100',
		  `fechayhoraregistro` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		  `fechayhoraultima` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		  `user_idregistro` int(10) NOT NULL DEFAULT '0',
		  `user_idultima` int(10) NOT NULL DEFAULT '0',
		  PRIMARY KEY (`id`),
		  KEY `pagina_id` (`pagina_id`)
		) DEFAULT CHARSET=utf8",
		);
	foreach($queries as $query)
	{
		$ok &= SWPHP::_ExecuteQuery($query, "", "No se pudo ejecutar la sentencia:<br /> {$query}");
	}

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function menuprincipal_desinstalar($info)
{
	//Es un módulo core

	return false;
}