<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-06-14
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/plugins/swphp/functions.inc.php
 */

function swphp_plugin_swphp_opcion_next($pagina_id=null)
{
	global $smarty;

	if(is_null($pagina_id))
	{
		global $swphp_pagina_id;

		$pagina_id = $swphp_pagina_id;
	}

	$smarty->assign('swphp_opcion', SWPHP::_GetOpcionNext($pagina_id));

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/swphp_opcion.tpl");
}

function swphp_plugin_swphp_opcion($pagina_id)
{
	global $smarty;

	$smarty->assign('swphp_opcion', SWPHP::_GetOpcion($pagina_id));

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/swphp_opcion.tpl");
}

function swphp_plugin_swphp_opciones($pagina_id=null)
{
	global $smarty;

	if(is_null($pagina_id))
	{
		global $swphp_pagina_id;

		$pagina_id = $swphp_pagina_id;
	}

	$smarty->assign('swphp_opciones', SWPHP::_GetMenu($pagina_id));

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/swphp_opciones.tpl");
}

function swphp_plugin_swphp_opciones_items($paginas_id)
{
	global $smarty;

	$opciones = array();
	foreach($paginas_id as $pagina_id)
	{
		$opciones[] = SWPHP::_GetOpcion($pagina_id);
	}

	$smarty->assign('swphp_opciones', $opciones);

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/swphp_opciones.tpl");
}

function swphp_plugin_swphp_navegacion($padre_id, $animado=true)
{
	global $smarty;

	$smarty->assign('swphp_navegacion', SWPHP::_GetNavegacion($padre_id, $animado));

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/".($animado ? "swphp_navegacion_ani.tpl" : "swphp_navegacion.tpl"));
}

function swphp_plugin_swphp_navegacion_items($paginas_id)
{
	global $smarty;

	$navegacion = array();
	foreach($paginas_id as $pagina_id)
	{
		$navegacion[] = SWPHP::_GetOpcion($pagina_id);
	}

	$smarty->assign('swphp_navegacion', $navegacion);

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/swphp_navegacion.tpl");
}

function swphp_plugin_swphp_listadetallada($pagina_id=null)
{
	return swphp_plugin_swphp_lista($pagina_id, 'detallada');
}

function swphp_plugin_swphp_listacuadricula($pagina_id=null)
{
	return swphp_plugin_swphp_lista($pagina_id, 'cuadricula');
}

function swphp_plugin_swphp_lista($pagina_id=null, $modo='detallada')
{
	global $smarty;

	if(is_null($pagina_id))
	{
		global $swphp_pagina_id;

		$pagina_id = $swphp_pagina_id;
	}

	$smarty->assign('swphp_opciones', SWPHP::_GetMenu($pagina_id));

	return $smarty->fetch("../../../inc/plugins/swphp/tpl/swphp_lista{$modo}.tpl");
}

function swphp_plugin_swphp_loginform()
{
	global $smarty;

	SWPHP::_HabilitarLogin();

	return $smarty->fetch("paraincluir/login.tpl");
}

function swphp_plugin_swphp_icon($icon, $width='', $params=array(), $alt=null)
{
	return SWPHP::_Icon($icon, $width, $params, $alt);
}
