function stripeByElement(table){
	var evenClass = arguments[1] ? arguments[1] : "listadonormal";
    var oddClass = arguments[2] ? arguments[2] : "listadoclaro";

	var even = false;

	var tbodies = table.getElementsByTagName("tbody");
	for(var h=0; h<tbodies.length; h++)	{
		var trs = tbodies[h].getElementsByTagName('tr');
		for(var i=0; i<trs.length; i++)		{
			if(trs[i].style.display != 'none')			{
				trs[i].className = even ? evenClass : oddClass;
				even = !even;
			}
		}
	}
}

function stripeById(id){
    var evenClass = arguments[1] ? arguments[1] : "listadonormal";
    var oddClass = arguments[2] ? arguments[2] : "listadoclaro";

	var table = document.getElementById(id);
   	stripeByElement(table, evenClass, oddClass);
}

function stripeByClass(className){
    var evenClass = arguments[1] ? arguments[1] : "listadonormal";
    var oddClass = arguments[2] ? arguments[2] : "listadoclaro";

	var tables = document.getElementsByClassName(className);
	for(var t=0; t<tables.length; t++)	{
    	stripeByElement(tables[t], evenClass, oddClass);
	}
}