<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2010-01-12
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * solicitarclave.php
 */

require('config/config-SWPHP.inc.php');
require(SWPHP_INC_DIR.'comunini.inc.php');

define('SWPHP_PAGINA_ACTUAL', 'solicitarclave/');

$mostrarFormulario = true;

if($_SESSION['user']['autenticado'])
{
	SWPHP::_Msg(sprintf("Está autenticado como usuario: '<b>%s</b>'.<br /><br />Si desea cambiar su clave, hágalo a través de la opción \"<a href=\"%sswphp_micuenta/\">Mi cuenta</a>\" en el <a href=\"%s\">Panel de administración</a>", $_SESSION['user']['nick'], SWPHP_ADMIN_DIR, SWPHP_ADMIN_DIR), "aviso");
	$mostrarFormulario = false;
}
elseif(isset($_POST['control']) && $_POST['control'] == $_SESSION['control'] && (isset($_POST["nick"]) || isset($_POST["email"])))
{
	$nick = $_POST["nick"];
	$email = $_POST["email"];

	$dominio = SWPHP::_GetConfigValue("dominio", "configuracion");

	if($nick != "")
	{
		//Ha enviado nick y email

		$filtro = sprintf("WHERE nick = '%s' AND email = '%s'", addcslashes($nick, "'"), addcslashes($email, "'"));

		switch($db->GetValueQuery("SELECT COUNT(id) FROM ".SWPHP_DBPREFIX."users {$filtro}", false))
		{
			case 0:
				SWPHP::_Msg("No se ha encontrado ningún usuario registrado con ese alias de usuario y dirección de email", "error");
				break;
			case 1:
				if($db->GetValue("activo", SWPHP_DBPREFIX."users", $filtro, true, false))
				{
					$oldpass = $db->GetValue("pass", SWPHP_DBPREFIX."users", $filtro, true, false);
					$pass = GenerateRandomKey(8);
					if($db->Execute("UPDATE ".SWPHP_DBPREFIX."users SET pass = '".SWPHP::_Encrypt($pass)."' {$filtro}"))
					{
						SWPHP::_Msg(sprintf("Se ha generado una nueva clave de acceso para '<b>%s</b>'", $nick), "check");

						$asunto = sprintf("Nueva clave de acceso para %s en %s", $nick, $dominio);
						//Mensaje
						$mensaje = "<div><h3>Nueva clave para %s</h3>Tú o alguien ha solicitado la generación y el envío de una nueva clave de acceso para el usuario <b>%s</b> en %s, el cual tiene asociada esta dirección de email (%s).<br /><br />Nueva clave: %s<br /><br />Recuerda que el sistema de acceso distingue entre mayúsculas y minúsculas.<br /><br />Atentamente, el equipo de %s</div>";
						$mensaje = sprintf($mensaje, $nick, $nick, $dominio, $email, $pass, $dominio);
						//Envío
						if(SWPHP::_EnviarEmail($email, $asunto, $mensaje, null, '', '', $error))
						{
							SWPHP::_Msg(sprintf("Se ha enviado la nueva clave a '<b>%s</b>'", $email), "check");
						}
						else
						{
							SWPHP::_Msg("No se ha podido enviar el mensaje con la nueva clave de acceso. <br />Por favor, inténtalo de nuevo más tarde o contacta con el administrador de la web.", "error");
							SWPHP::_ExecuteQuery(
								"UPDATE ".SWPHP_DBPREFIX."users SET pass = '{$oldpass}' {$filtro}",
								"Se ha restaurado su clave anterior",
								"No se ha podido restaurar su clave anterior"
								);
						}
					}
					else
					{
						SWPHP::_Msg("No se ha podido registrar tu nueva clave.<br />Por favor, inténtalo de nuevo más tarde o contacta con el administrador de la web.", "error");
						SWPHP::_ExecuteQuery(
							"UPDATE ".SWPHP_DBPREFIX."users SET pass = '{$oldpass}' {$filtro}",
							"Se ha restaurado su clave anterior",
							"No se ha podido restaurar su clave anterior"
							);
					}
				}
				else
				{
					SWPHP::_Msg("Tu cuenta de usuario está deshabilitada. Contacta con el administrador de la web si deseas obtener más información.", "aviso");
				}

				$mostrarFormulario = false;
				break;
			default:
				//Esto es imposible pero por si acaso
				SWPHP::_Msg("Existe más de un usuario registrado con ese alias de usuario y esa dirección de email.<br />Por favor, contacta con el administrador de la web para solucionar tus problemas de acceso.", "error");
				$mostrarFormulario = false;
				break;
		}
	}
	else
	{
		//Sólo ha enviado email

		$filtro = sprintf("WHERE email = '%s'", addcslashes($email, "'"));

		switch($db->GetValueQuery("SELECT COUNT(id) FROM ".SWPHP_DBPREFIX."users {$filtro}", false))
		{
			case 0:
				SWPHP::_Msg("No se ha encontrado ningún usuario registrado con esa dirección de email", "error");
				break;
			case 1:
				if($db->GetValue("activo", SWPHP_DBPREFIX."users", $filtro))
				{
					$nick = $db->GetValue("nick", SWPHP_DBPREFIX."users", $filtro);
					$asunto = sprintf("Tu nick de usuario en %s", $dominio);
					//Mensaje
					$mensaje = "<div><h3>Tu alias de usuario</h3>Tú o alguien ha solicitado el envío de su alias de usuario en %s, donde tiene asociada esta dirección de email (%s).<br /><br />Alias de usuario: %s<br /><br />Con este nick y tu dirección de email podrás solicitar una nueva clave de acceso, si es que has olvidado la actual.<br /><br />Atentamente, el equipo de %s</div>";
					$mensaje = sprintf($mensaje, $dominio, $email, $nick, $dominio);
					//Envío
					if(SWPHP::_EnviarEmail($email, $asunto, $mensaje, null, '', '', $error))
					{
						SWPHP::_Msg(sprintf("Se ha enviado el alias de usuario asociado a '<b>%s</b>'.", $email), "check");
					}
					else
					{
						SWPHP::_Msg("No se ha podido enviar el mensaje con tu alias de usuario.<br />Por favor, inténtalo de nuevo más tarde o contacta con el administrador de la web.", "error");
					}
				}
				else
				{
					SWPHP::_Msg("Tu cuenta de usuario está deshabilitada. Contacta con el administrador de la web si deseas obtener más información.", "aviso");
				}

				$mostrarFormulario = false;
				break;
			default:
				//Esto es imposible por defecto, pero por si acaso
				//(puede haberse modificado la tabla users por algún módulo que necesite poder repetir los emails, o dejarlos en blanco)
				SWPHP::_Msg("Existe más de un usuario registrado con esa dirección de email.<br />Por favor, contacta con el administrador de la web para solucionar tus problemas de acceso.", "error");
				$mostrarFormulario = false;
				break;
		}
	}
}

$smarty->assign("mostrarFormularioSolicitarClave", $mostrarFormulario);

$swphp_pagina->SetValues(
	'Solicitar clave',
	'',
	'Solicitar una nueva contraseña de acceso',
	'solicitar, clave, contraseña, acceso, usuario, email, recordar, olvidado',
	'',
	'key.png',
	false,
	0,
	'',
	'none'
	);

$swphp_pagina->AddToBreadcrumbs();

$smarty->assign('swphp_menuprincipal', SWPHP::_GetMenuPrincipal());
$smarty->assign('swphp_menucontextual', null);
$smarty->assign('swphp_localizador', SWPHP::$breadcrumb->GetItems());
$swphp_administracion = false;
$smarty->assign('swphp_templatecontenido', 'paraincluir/solicitarclave.tpl');

require(SWPHP_INC_DIR.'comunfin.inc.php');
