<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {mt_rand} function plugin
 *
 * Type:     function<br />
 * Name:     swphp_langflag<br />
 * Purpose:  get path to lang flag file in Simple Web PHP Edicion Administrada<br />
 * @link
 * @author José Carlos Cruz Parra programadorphpfreelance.com
 * @param array
 * @param Smarty
 */
function smarty_function_swphp_langflag($params, &$smarty)
{
	$lang = isset($params['lang']) ? $params['lang'] : '';

	if(isset($params['srconly']) && $params['srconly'])
	{
		$params = false;
	}
	else
	{
		unset($params['lang'], $params['srconly']);
	}

	return SWPHP::_LangFlag($lang, $params);
}

/* vim: set expandtab: */

?>