<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty number_format modifier plugin
 *
 * Type:     modifier<br>
 * Name:     decodeFileName<br>
 * Purpose:  decodes a string filename as MyCoder class do
 * @link
 * @author   José Carlos Cruz Parra AKA Internia
 * @return string
 */
function smarty_modifier_decodeFileName($str)
{
	$str = str_replace("_", ".32", $str);
	$chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUWXYZ";
	for($c=0,$size=strlen($chars); $c<$size; $c++)
	{
		$char = $chars[$c];
		$str = str_replace($char, ".".ord($char), $str);
	}
	$ret = "";
	$tok = strtok($str, ".");
	while($tok !== false)
	{
		$ret .= chr($tok);
		$tok = strtok(".");
	}
	return $ret;
}

/* vim: set expandtab: */

?>
