<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2016-05-09
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/contacto/admin/localizaciones/index.php
 *
 */

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';

$mostrarprincipal = true;

switch($op)
{
	case 'edit':
		$registro = $db->GetRow("SELECT * FROM ".SWPHP_DBPREFIX."localizaciones WHERE id = '{$id}'");
		//sigue
	case 'new':
		if(!isset($registro))
		{
			$registro = array(
				);
		}
		$smarty->assign('registro', $registro);
		$admin_template = "{$swphp_module_templates_dir}admin/localizaciones/localizacion.tpl";
		$mostrarprincipal = false;
		break;
	case 'upd':
		if(contacto_localizaciones_validarDatos($_POST))
		{
			SWPHP::_ExecuteQuery(
				buildQuery_Update(contacto_localizaciones_prepararDatos($_POST, $id), SWPHP_DBPREFIX."localizaciones", $id),
				'Registro actualizado correctamente',
				'No se ha podido actualizar el registro'
				);
		}
		break;
	case 'reg':
		if(contacto_localizaciones_validarDatos($_POST))
		{
			SWPHP::_ExecuteQuery(
				buildQuery_Insert(contacto_localizaciones_prepararDatos($_POST), SWPHP_DBPREFIX."localizaciones"),
				'Registro insertado correctamente',
				'No se ha podido insertar el registro'
				);
		}
		break;
}

if($mostrarprincipal)
{
	$paginador = SWPHP::_CrearPaginador();
	$paginador->SetParam('etiqueta', 'localización');
	$paginador->Fill("SELECT l.id, l.titulo, l.activo"
		." FROM ".SWPHP_DBPREFIX."localizaciones AS l"
		." ORDER BY l.peso, l.id"
		);

	$paginador->SetParam('campos', array(
		'id'=>array("label"=>'Id.', "class"=>"numeric"),
		'titulo'=>array("label"=>'Título'),
		'activo'=>array("label"=>"", "orderby"=>false)
		));

	$paginador->SetParam('buscador', array(
		'l.titulo'=>'Título',
		'l.id'=>'Id.',
		));

	function applyToReg(&$reg, $key)
	{
		global $swphp_mod_clave;

		$id = $reg['id'];

		$reg["activo"] = "<a href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave."/localizaciones/?op=edit&amp;id={$id}\">".SWPHP::_Icon("edit.png", 16, array("alt"=>"Editar", "title"=>"Editar Id. {$id}"))."</a>"
			.($reg["activo"] ?
				" <a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Desactivar\">".SWPHP::_Icon("green_button.png", 16, array("alt"=>"Desactivar"))."</a>"
				:
				" <a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Activar\">".SWPHP::_Icon("red_button.png", 16, array("alt"=>"Activar"))."</a>")
			." <a id=\"aEliminar{$id}\" href=\"javascript:Eliminar({$id})\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar", "title"=>"Eliminar Id. {$id}"))."</a>";
	}
	$paginador->SetParam('applyToRegs', 'applyToReg');

	$admin_template = "{$swphp_module_templates_dir}admin/localizaciones/localizaciones.tpl";

	$smarty->assign('paginador', $paginador);
}
