<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-07
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/admin/configuracion/index.php
 *
 */

$tabla = 'kptl_config'; //Sin el prefijo
$conceptoPorDefecto = 'kapitaltruth';

$id = $_SESSION["user"]["id"];
$op = isset($_GET['op']) ? $_GET['op'] : '';
$q = isset($_GET["q"]) && !empty($_GET["q"]) ? str_replace(array("\\/'\";"), "", $_GET["q"]) : $conceptoPorDefecto;

switch($op)
{
	case "cfg_apply":

		if(!KPTL_ActuacionesAdmin::Act('ModConfig', array('tabla'=>$tabla, 'q'=>$q), $_POST))
		{
			break;
		}

		//sigue

	case "cfg_show":
	default:
		include_once(SWPHP_COMMON_DIR."classes/FormBuilder.class.php");

		$smarty->assign("q", $q);
		$smarty->assign("ques", false); //$db->GetRows("SELECT DISTINCT m.clave, m.titulo FROM ".SWPHP_DBPREFIX."modulos AS m JOIN ".SWPHP_DBPREFIX."{$tabla} AS c ON c.concepto = m.clave ORDER BY m.titulo"));

		$form = new FormBuilder();
		$form->SetAction(sprintf("%s%s/configuracion/?%sop=cfg_apply", SWPHP_ADMIN_DIR, $swphp_mod_clave, $q != $conceptoPorDefecto ? "q={$q}&" : ""));
		$form->SetMethod('post');
		$form->SetCancelUrl(sprintf("%s%s/", SWPHP_ADMIN_DIR, $swphp_mod_clave));
		$form->SetTextAccept(l("Guardar", 'kapitaltruth'));
		$form->SetTextCancel(l("Cancelar", 'kapitaltruth'));

		$smarty->assign("form_configuracion", $form->GetHTML(SWPHP::_GetConfigValuesToFormBuilder($q, $swphp_permiso_id, true, $tabla)));
		$admin_template = "{$swphp_module_templates_dir}admin/configuracion/configuracion.tpl";
		break;
}
?>