<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2013-04-01
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/scu/admin/envios/index.php
 *
 */

$user_id = $_SESSION['user']['id'];
$filtro = '';

if($swphp_permiso_id > SWPHP_PERMISO_SOLOLECTURA)
{
	$user = isset($_GET['user']) ? $_GET['user'] : '';
	if(strlen($user) > 0)
	{
		$userSql = addcslashes($user, "'");
		$filtro = " WHERE REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(LOWER(CONCAT(u.nick,' ',u.email,' ',u.buscar)),'á','a'),'é','e'),'í','i'),'ó','o'),'ú','u') LIKE REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(LOWER('%{$userSql}%'),'á','a'),'é','e'),'í','i'),'ó','o'),'ú','u'),',','.')"
			." OR u.id = '{$userSql}'";
	}
}
else
{
	$filtro = " WHERE u.id = '{$user_id}'";
}

$paginador = SWPHP::_CrearPaginador('envios', 50);
$paginador->SetParam('etiqueta', 'envío');
$paginador->Fill("SELECT m.id, SUBSTRING(e.fechayhora,1,16) AS fechayhoraenvio, e.destinatario, u.nick, t.nombre AS tema, m.asunto, d.nombre AS medio, e.resultadobool, e.resultadostring"
	." FROM ".SWPHP_DBPREFIX."scu_envios AS e"
	." JOIN ".SWPHP_DBPREFIX."scu_mensajes AS m ON m.id = e.mensaje_id"
	." JOIN ".SWPHP_DBPREFIX."scu_mensajes_users AS mu ON mu.mensaje_id = m.id"
	." LEFT JOIN ".SWPHP_DBPREFIX."users AS u ON u.id = mu.user_id"
	." LEFT JOIN ".SWPHP_DBPREFIX."scu_temas AS t ON t.id = m.tema_id"
	." LEFT JOIN ".SWPHP_DBPREFIX."scu_medios AS d ON d.id = e.medio_id"
	.$filtro
	." ORDER BY e.fechayhora DESC");
$paginador->SetParam('campos', array(
	'id'=>array('label'=>'Id', 'style'=>'width:54px', 'class'=>'numeric'),
	'fechayhoraenvio'=>array('label'=>'Fecha env.', 'class'=>'center'),
	'destinatario'=>array('label'=>'Destinatario'),
	'nick'=>array('label'=>'Usuario'),
	'tema'=>array('label'=>'Tema'),
	'asunto'=>array('label'=>'Asunto'),
	'medio'=>array('label'=>'Medio'),
	'resultadobool'=>array("label"=>"Resultado", "class"=>"center"),
	'resultadostring'=>array("label"=>"Información"),
	));
$paginador->SetParam('buscador', array(
	"m.asunto"=>"Asunto",
	"CONCAT(m.textohtml, m.textocorto)"=>"Texto del mensaje",
	"m.id"=>"Id. mensaje",
	"t.nombre"=>"Tema",
	"d.nombre"=>"Medio",
	"mu.leidoenweb"=>"Leído en web",
	"e.fechayhoraenvio"=>"Fecha y hora de envío",
	"e.resultadobool"=>"Resultado",
	"e.resultadostring"=>"Información",
	));

$paginador->SetParam('onclick', sprintf("window.location = '%s%s/%s/?user=%s&filtro_campo=m.id&filtro_valor='+id+'&filtro_exacto=1&desde=0&por=&modo='", SWPHP_ADMIN_DIR, $swphp_mod_clave, $swphp_sub, $user));

function applyToReg(&$reg, $key)
{
	global $db, $swphp_mod_clave;

	$id = $reg['id'];

	$reg['resultadobool'] = $reg['resultadobool'] ? SWPHP::_Icon('accept.png', 16, array(), 'OK') : SWPHP::_Icon('remove.png', 16, array(), 'Error');
}
$paginador->SetParam('applyToRegs', 'applyToReg');


if(isset($_GET["filtro_campo"]) && $_GET["filtro_campo"] == "m.id" && isset($_GET["filtro_exacto"]) && $_GET["filtro_exacto"] == "1")
{
	$mensaje_id = isset($_GET["filtro_valor"]) ? intval($_GET["filtro_valor"]) : false;

	$mensaje = $db->GetRow("SELECT m.id, SUBSTRING(m.fechayhoraregistro,1,16) AS fechayhoraregistro, SUBSTRING(mu.fechayhoraleido,1,16) AS fechayhoraleido, u.nick AS usuario, t.nombre AS tema, m.asunto, m.textohtml, m.manual, mu.leidoenweb, mu.procesado, SUBSTRING(mu.fechayhoraproceso,1,16) AS fechayhoraproceso , '' AS envios"
		." FROM ".SWPHP_DBPREFIX."scu_mensajes AS m"
		." JOIN ".SWPHP_DBPREFIX."scu_mensajes_users AS mu ON m.id = mu.mensaje_id"
		." LEFT JOIN ".SWPHP_DBPREFIX."users AS u ON u.id = mu.user_id"
		." LEFT JOIN ".SWPHP_DBPREFIX."scu_temas AS t ON t.id = m.tema_id"
		." WHERE m.id = '{$mensaje_id}'".($swphp_permiso_id > SWPHP_PERMISO_SOLOLECTURA ? "" : " AND u.id = '{$user_id}'")
		);
	scu_ApplyToMensaje($mensaje, null);

	$smarty->assign("mensaje", $mensaje);
}


$smarty->assign('paginador', $paginador);

$admin_template = "{$swphp_module_templates_dir}admin/envios/envios.tpl";
?>