{*
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2010-05-08
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * themes/simplewebphp/tpl/pagina.tpl
 *
 *}
{include file='paraincluir/head.tpl'}
<body>
<div id="pagebox">
	<div id="headerbox">
		<div id="langbox">
		{if $swphp_idiomas|@count > 1}
			{foreach from=$swphp_idiomas item='idioma'}
			<a href="{swphp_hrefpagina idioma_id=$idioma.id}?lang={$idioma.codigoiso}" {if $idioma.id == $smarty.session.SWPHP_IDIOMA_ACTUAL}class="selected"{/if}>{swphp_langflag lang=$idioma.codigoiso}</a>
			{/foreach}
		{/if}
		</div>
		<div id="logobox">
			<a href="{$swphp_config.url}" title="{$swphp_config.titulo}">{if empty($smarty.session.mobile)}<img src="{if empty($swphp_config.logo)}{$smarty.const.SWPHP_THEME_DIR}img/logo.jpg{else}{$swphp_config.logo}{/if}" alt="Logotipo Kapital Truth 10n" />{else}Kapital Truth{/if}</a>
		</div>
		<div id="loggedbox">
		{if $smarty.session.user.autenticado}
			<a href="{$swphp_config.url}" title="{l s='Página de inicio' c='theme'}">{swphp_icon icon="home.png" alt="" width=16} {l s='Inicio' c='theme'}</a>
			&nbsp;
			<a href="kptl/" title="{l s='KPTL' c='theme'}">{swphp_icon icon="logo.png" alt="" width=16} {l s='KPTL' c='theme'}</a>
			&nbsp;
			<a href="{$smarty.const.SWPHP_ADMIN_DIR}" title="{l s='Panel de control' c='theme'}">{swphp_icon icon="window.png" alt="" width=16} {l s='Panel' c='theme'}</a>
			&nbsp;
			<a href="{$smarty.const.SWPHP_ADMIN_DIR}micuenta/" title="{l s='Mi cuenta' c='theme'}">{swphp_icon icon='user.png' alt="" width=16} {$smarty.session.user.nick}</a>
			&nbsp;
			<a href="logout/" title="{l s='Cerrar sesión de forma segura' c='theme'}">{swphp_icon icon='remove.png' alt="" width=16} {l s='Salir' c='theme'}</a>
		{else}
			{swphp_icon icon='blank.png' alt="" width=16} &nbsp;
		{/if}
		</div>
		<h1>{$swphp_config.titulo}</h1>
		<h2>{$swphp_config.subtitulo}</h2>
	</div>
	{include file="paraincluir/menubox.tpl"}
	{* include file="paraincluir/localizador.tpl" *}
	<div id="contentbox" {if !$swphp_sidebox}style="width:auto"{/if}>
	{*<!--if !$swphp_administracion}
		{if $swphp_pagina->GetValue('considebox')}{include file="paraincluir/sidebox.tpl"}{assign var="swphp_sidebox" value=true}{/if}
	{/if-->*}
		{include file="paraincluir/mensajes.tpl"}
	{*<!--if !$swphp_portada-->*}
		{if $swphp_administracion && $smarty.const.SWPHP_PAGINA_ACTUAL != $smarty.const.SWPHP_ADMIN_DIR}<a class="derecha back mini" href="{$smarty.const.SWPHP_ADMIN_DIR}">{l s='Volver al Panel' c='theme'}</a>{/if}
		{assign var="swphp_pagina_titulo" value=$swphp_pagina->GetValue('titulo')}
		{if $swphp_pagina_titulo}
			{if $swphp_sub}
			<h1 id="titlebox"><a href="{$smarty.const.SWPHP_PAGINA_ACTUAL|dirname}/" title="{$swphp_pagina_titulo}">{swphp_icon icon=$swphp_pagina->GetValue('icono') alt="Icono" width=32} {$swphp_pagina_titulo}</a></h1>
			<h2 class="titlebox"><a href="{$smarty.const.SWPHP_PAGINA_ACTUAL}" title="{$swphp_submodulo.titulo}">{swphp_icon icon=$swphp_submodulo.icono alt="Icono" width=24} {$swphp_submodulo.titulo}</a></h2>
			{else}
			<h1 id="titlebox"><a href="{$smarty.const.SWPHP_PAGINA_ACTUAL}" title="{$swphp_pagina_titulo}">{swphp_icon icon=$swphp_pagina->GetValue('icono') alt="Icono" width=32} {$swphp_pagina_titulo}</a></h1>
			{/if}
		{/if}
	{*<!--/if-->*}
		{include file="paraincluir/contenido.tpl"}
		<div class="center separado2">{if $smarty.session.mobile}<a class="mini" href="{$swphp_config.url}{$smarty.server.REQUEST_URI|substr:1|replace:'?mobile=1':''}?mobile=0" rel="nofollow">Versión para equipos de escritorio</a>{else}<a href="{$swphp_config.url}{$smarty.server.REQUEST_URI|substr:1|replace:'?mobile=0':''}?mobile=1" rel="nofollow">Versión para dispositivos móviles</a>{/if}</div>
	</div>
	{if empty($smarty.session.mobile)}<div id="footerbox">
		<div class="izquierda">
			<a href="http://validator.w3.org/check?uri={$swphp_config.url}{$smarty.const.SWPHP_PAGINA_ACTUAL}" class="external"><img src="img/valid-xhtml10_lite.gif" alt="{l s='XHTML 1.0 Strict' c='theme'}" title="{l s='XHTML 1.0 Strict válido' c='theme'}" /></a>
			<a href="http://jigsaw.w3.org/css-validator/validator?uri={$swphp_config.url}{$smarty.const.SWPHP_PAGINA_ACTUAL}" class="external"><img src="img/vcss_lite.gif" alt="{l s='CSS válido' c='theme'}" title="{l s='CSS válido' c='theme'}" /></a>
			<a href="http://www.w3.org/WAI/WCAG1A-Conformance" class="external"><img src="img/wcag1A_lite.gif" alt="{l s='Conformidad con el Nivel A' c='theme'}" title="{l s='Conformidad con el Nivel A de accesibilidad' c='theme'}" /></a>
		</div>
		<div class="derecha">
			<!-- No retirar este mensaje -->
			<img class="middle" src="img/simplewebphp20x15.png" alt="Logo Simple web PHP" />
			<a href="http://simplewebphp.com" title="Simple web PHP Edición Administrada">SWPHP EA</a> v.{$smarty.const.SWPHP_VERSION}, {l s='gracias a' c='theme'} <a href="http://programadorphpfreelance.com" title="Programador PHP Freelance"><img class="middle" src="img/phpfreelance80x15.png" alt="Programador PHP Freelance" /></a>
			{l s='Iconos por' c='theme'} <a href="http://dryicons.com" title="{l s='Iconos gratuitos' c='theme'}" class="external">dryicons.com</a>
		</div>
		<span>2011-{$smarty.now|date_format:'%Y'} Kptl Truth</span>
		<span>
			<a href="aviso-legal/">{l s='Aviso legal' c='theme'}</a> |
			<a href="contacto/">{l s='Contacto' c='theme'}</a> |
			<a href="mapa-web/">{l s='Mapa web' c='theme'}</a>
		</span>
	</div>{/if}
</div>
{include file="paraincluir/js_final.tpl"}
</body>
</html>